TYPO3.Fluid - Feature # 32339

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: ViewHelpers
Created: 2011-12-06 Assigned To: Karsten Dambekalns
Updated: 2012-12-10 Due date:

Has patch: No

Subject: ResourceViewHelper should support [18n

Description

The default behavior for the ResourceViewHelper should be to use a localized version if a resource, if available.

Related issues:

duplicated by TYPO3.Flow - Feature # 39792: Implement support for localized r... Resolved 2012-08-14

Associated revisions

Revision e9a21a49 - 2012-10-04 10:03 - Karsten Dambekalns

["N[FEATURE] I118n support for uri.resource VH in Fluid

This adds the (already documented) localization of resources to the
uri.resource VH. Any path will be localized if possible, unless the
feature is switched off using the "localize" argument.

The change is marked as breaking because it removed the "uri"
argument formerly available to the VH.

Change-Id: 192dccbabb5acd623ff33eb538e62d0682f00b95e
Resolves: #32339

Resolves: #39792

Releases: 1.2

History

#1 - 2012-05-21 16:24 - Karsten Dambekalns

- Target version changed from 1.1 to 2.0 beta 1

#2 - 2012-08-14 12:16 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/13647

#3 - 2012-10-04 09:57 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/13647

#4 - 2012-10-04 10:03 - Gerrit Code Review

2015-08-03

1/2



http://review.typo3.org/13647
http://review.typo3.org/13647

Patch set 3 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/13647

#5 - 2012-12-10 13:16 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
